Subject: RE: 5.2 DNS [Re: Nodes Requirements Input]

From: [email-masked]
Date: Wed, 19 Mar 2003 06:58:56 +0200

Jim,

> Agreed.  But how can a node find an address without MUST DNS. The point
> is that a requirement to use is based on the situation.  My point last
> night.

The earlier drafts used different language to try to capture these
conditional requirements.  The WG did not like the terms (Unconditionally Mandatory, 
Conditionally Mandatory and Unconditionally Optional), so we dropped them.
There seemed to be comments that we should stick to minimum / basic
requirements and things which are IPv6 specific.

John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Bound, Jim" <[email-masked]>
Date: Thu, 20 Mar 2003 17:51:41 -0500

Pekka,

And one could do all this by using the current specs.  

/jim

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: Wednesday, March 19, 2003 1:26 AM
> To: Bound, Jim
> Cc: [email-masked]; [email-masked]; 
> [email-masked]
> Subject: RE: 5.2 DNS [Re: Nodes Requirements Input]
> 
> 
> On Wed, 19 Mar 2003, Bound, Jim wrote:
> > - Node Reqs 3GPP services
> > - Node Database Services
> > - Node Requirements iSCSI/IP
> > 
> > Etc Etc.
> > 
> > The scope is to narrow currently.
> 
> One would think that one could exercise own judgment and 
> listen to the 
> customers (if applicable) when deciding which features to 
> implement on top 
> of the minimal set recommended by node requirements.
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
>

---

From: Margaret Wasserman <[email-masked]>
Date: Mon, 31 Mar 2003 10:48:23 -0500

The IPv6 Node Requirements is intended to document the minimal requirements
for an IPv6 node, and a DNS resolver is not one of those requirements.
You can have a perfectly-compliant IPv6 node that doesn't include any
DNS support.

If we start down the road of saying:

"A node MUST include a DNS resolver if it needs to resolve DNS names."

wouldn't this lead to:

"A node MUST include SIP if it wants to use the Session Initiation
Protocol", etc.?

Margaret

At 06:45 PM 3/18/2003 -0500, Bound, Jim wrote:
> > From: Brian E Carpenter [mailto:[email-masked]]
> > Sent: Tuesday, March 18, 2003 4:45 PM
> > To: Bound, Jim
> > Cc: [email-masked]
> > Subject: 5.2 DNS [Re: Nodes Requirements Input]
> >
> >
> > "Bound, Jim" wrote:
> > ...
> > > >
> > > > 5.2 DNS
> > > >
> > > >    DNS, as described in [RFC-1034], [RFC-1035],
> > [RFC-1886], [RFC-3152]
> > > >    and [RFC-3363] MAY be supported.  Not all nodes will need to
> > > > resolve
> > > >    addresses.  Note that RFC 1886 is currently being updated
> > > > [RFC-1886-
> > > >    BIS].
> > >
> > > DNS "use" is a MUST for correct node operation.  MAY is absurd.
> >
> > Why would a thermostat need to resolve names?
> >
> >   Brian
> >
>

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 31 Mar 2003 15:36:10 -0500

My point was operational use not theoretical.
/jim

> From: Margaret Wasserman [mailto:[email-masked]] 
> Sent: Monday, March 31, 2003 10:48 AM
> To: Bound, Jim
> Cc: Brian E Carpenter; [email-masked]
> The IPv6 Node Requirements is intended to document the 
> minimal requirements for an IPv6 node, and a DNS resolver is 
> not one of those requirements. You can have a 
> perfectly-compliant IPv6 node that doesn't include any DNS support.
> 
> "A node MUST include SIP if it wants to use the Session 
> Initiation Protocol", etc.?
> 
> Margaret
> 
> 
> >Agreed.  But how can a node find an address without MUST DNS.  The 
> >point is that a requirement to use is based on the 
> situation.  My point 
> >last night.
> >
> >/jim
> >
> >
> >
> >